<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\Messages;
use HCM\Util\DateUtil;
use HCM\SST\Repository\TipoAcidenteRepository;

class TipoAcidenteService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters, TipoAcidenteRepository $tipoAcidenteRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->tipoAcidenteRepository = $tipoAcidenteRepository;
    }
    
    public function validaRestricaoChavePrimaria($nragentcausad, $nrorg, $nrorgPadrao, $chaveSiMesma = null){
        return $this->tipoAcidenteRepository->validaRestricaoChavePrimaria($nragentcausad, $nrorg, $nrorgPadrao, $chaveSiMesma);
    }
}